Subject: Re: bug#31037: 27.0.50; Misleading info in Introduction to Programming in Emacs Lisp

From: Marcin Borkowski <[email-masked]>
Date: Thu, 05 Apr 2018 12:38:53 +0200

On 2018-04-03, at 09:34, Eli Zaretskii <[email-masked]> wrote:

>> From: Marcin Borkowski <[email-masked]>
>> Date: Tue, 03 Apr 2018 08:33:39 +0200
>>
>> (info "eintro")
>>
>> yields
>>
>> --8<---------------cut here---------------start------------->8---
>> An Introduction to Programming in Emacs Lisp
>> ********************************************
>>
>> This is an ‘Introduction to Programming in Emacs Lisp’, for people who
>> --8<---------------cut here---------------end--------------->8---
>>
>> If I want to actually cite Chassell's book, it is (a) not obvious who
>> the author is (the name can be found at the end of the preface and in
>> the "About the author" section, but not on the title page, where it
>> should be!), and (b) completely not obvious how to cite the book - is
>> the official title "An Introduction to Programming in Emacs Lisp" or
>> "Introduction to Programming in Emacs Lisp"?
>
> You are looking in the wrong place for this information.  The Info
> format of a book is not a book, it's an on-line documentation file.
> For the book details, you should either (a) look at the Texinfo
> sources, or (b) produce a PDF or DVI/PS format, and look there.  (The
> former is much easier, of course, if you have the sources.)

I disagree.  A book is a book, it shouldn't matter whether its dead
wood, pdf, html, texi or info.

Also, the pdf says (p. 3)

"An Introduction to Programming in Emacs Lisp",

then

"This is an /Introduction to Programming in Emacs Lisp/, for people who
are not programmers." (p. 4),

and then

"This introduction to /Programming in Emacs Lisp/ has a companion
document" (p. 14).

So the pdf is also kind of a mess.  Still looks like a bug to me.

Best,

--
Marcin Borkowski
http://mbork.pl